version: "3.3"
services:

#  jenkins-secrets:
#    image: vault:latest
#    container_name: jenkins-secrets
#    ports:
#      - "9200:8200"
#    environment:
#      VAULT_ADDR: "http://0.0.0.0:9200"
#      VAULT_DEV_ROOT_TOKEN_ID: "vault-plaintext-root-token"
#    cap_add:
#      - IPC_LOCK

  jenkins-master:
    image: kobol/jenkins-master:latest
    container_name: jenkins-master
    environment:
      - SSH_AUTH_SOCK=${PARAM_SSH_AUTH_SOCK}
    restart: unless-stopped
    ports:
      - 9080:8080
      - 9081:9081
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ${PARAM_HOME}/.ssh/known_hosts:/root/.ssh/known_hosts
      - ${PARAM_SSH_AUTH_SOCK}:${PARAM_SSH_AUTH_SOCK}
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
#    depends_on:
#      - jenkins-secrets
